Subject: Re: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Sep 2014 13:53:02 -0400

>> That's odd, indeed.  It can be explained if the redisplay ends up moving
>> point to keep it in the window (instead of scrolling the window to
>> follow point).

> I don't think this can explain it: forward-line works on the buffer,
> and the location of point is (or should be, see below) printed
> _before_ Emacs enters redisplay, as part of running the command that
> called forward-line.

You assume that the value of point displayed is consistent with the one
you see on the screen.  But maybe the value of point printed is the one
of the line *after* the last line.  So after printing that value,
redisplay re-sets point and at the end of the next command, the
displayed point will be the same as the last displayed one.

        Stefan